Bug#600956: newer versions of glabels render older glabels files differently

Vagrant Cascadian vagrant+debianbugs at freegeek.org
Thu Oct 21 19:42:55 UTC 2010

Package: glabels
Version: 2.2.8-1
Severity: important

we use glabels regularly at freegeek; thanks for maintaining it!

we have noticed a problem that some files created with older versions of
glabels, such as the version in lenny (2.1.3-3) do not render correctly on
newer versions of glabels, such as the version in squeeze, or the version in
ubuntu's lucid release (also 2.2.8-1).

it seems that the fonts are rendered differently, such that what fit on a
single label before no longer fits.

for a specific test, try:


some of the text scrolls right off the label.

other labels we are using also appear to have similar problems:


since we use a variety of debian and ubuntu releases, it's hard to know which
version to standardize on (at least until squeeze releases) and unfortunately
will have to redo the older labels even then... *sigh*

thanks again!

live well,

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (102, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages glabels depends on:
ii  glabels-data                2.2.8-1      data files for gLabels
ii  libc6                       2.11.2-6     Embedded GNU C Library: Shared lib
ii  libcairo2                   1.8.10-6     The Cairo 2D vector graphics libra
ii  libebook1.2-9               2.30.3-2     Client library for evolution addre
ii  libgconf2-4                 2.28.1-5     GNOME configuration database syste
ii  libglade2-0                 1:2.6.4-1    library to load .glade files at ru
ii  libglib2.0-0                2.24.2-1     The GLib library of C routines
ii  libgnome2-0                 2.30.0-1     The GNOME library - runtime files
ii  libgnomecanvas2-0           2.30.1-1     A powerful object-oriented display
ii  libgnomeui-0                2.24.3-1     The GNOME libraries (User Interfac
ii  libgtk2.0-0                 2.20.1-1+b1  The GTK+ graphical user interface 
ii  libpango1.0-0               1.28.1-1     Layout and rendering of internatio
ii  libxml2                     2.7.7.dfsg-4 GNOME XML library

glabels recommends no packages.

Versions of packages glabels suggests:
pn  evolution-data-server         <none>     (no description available)

-- no debconf information

More information about the pkg-gnome-maintainers mailing list